use clap::Parser;

mod gui;

#[derive(Debug, Parser)]
pub struct CliArgs {
    #[arg(long, short)]
    debug: bool,
    #[clap(subcommand)]
    arg: Arg
}

#[derive(Debug, clap::Subcommand)]
enum Arg {
    Gui,
    Install {
        
    },
    Query {

    },
    List {

    },
}


fn main() {
    let cliargs = CliArgs::parse();
    env_logger::builder()
        .filter_level(log::LevelFilter::Info)
        .parse_default_env()
        .format_timestamp(None)
        .init();
    
    log::debug!("{cliargs:?}");
    
    match cliargs.arg {
        Arg::Gui => gui::start_gui(),
        _ => todo!()
    }
}
